com.explodingpixels.macwidgets.plaf

## Class PreferencesTabBarButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - com.explodingpixels.macwidgets.plaf.UnifiedToolbarButtonUI
        - - com.explodingpixels.macwidgets.plaf.PreferencesTabBarButtonUI

    public class PreferencesTabBarButtonUI
    extends UnifiedToolbarButtonUI

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
Constructor and Description
`PreferencesTabBarButtonUI()`

### Method Summary

Methods
`protected void` `installDefaults(AbstractButton b)`
`void` `paint(Graphics g, JComponent c)`
`protected void` `uninstallDefaults(AbstractButton b)`

### Methods inherited from class com.explodingpixels.macwidgets.plaf.UnifiedToolbarButtonUI

`paintIcon, paintText`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, createUI, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paintButtonPressed, paintFocus, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferencesTabBarButtonUI

    public PreferencesTabBarButtonUI()

### Method Detail

#### installDefaults

    protected void installDefaults(AbstractButton b)

Overrides:
  `installDefaults` in class `UnifiedToolbarButtonUI`

#### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

Overrides:
  `uninstallDefaults` in class `UnifiedToolbarButtonUI`

#### paint

    public void paint(Graphics g,
             JComponent c)

Overrides:
  `paint` in class `BasicButtonUI`